
Ruby - Bug #5616

* /lib/net/imap.rb exception in IMAP.new when get_response returns nil 

11/11/2011 06:33 PM - boelen (Edsard Boelen)

Status: Closed   

Priority: Normal   

Assignee: shugo (Shugo Maeda)   

Target version:    

ruby -v: ruby 1.8.7 (2011-02-18 patchlevel 334) Backport:  

Description

The error occurred in ruby 1.8.7 when connecting to a buggy IMAP server. The error message was: Undefined method 'name' in

imap.rb

It is this piece of code in line 915 (line 1067 in ruby 1.9.3):

  @greeting = get_response

  if @greeting.name == "BYE"

    @sock.close

    raise ByeResponseError, @greeting

  end

 after a little search I saw that the function 'get_response' returns nil if the buffer is empty:

def get_response

  buff = ""

  while true

    ...

  end

  return nil if buff.length == 0

    ...

  return @parser.parse(buff)

end

Associated revisions

Revision 6853b44a9260390b6e688e7c42aedcd5540e291f - 03/16/2012 05:12 AM - shugo (Shugo Maeda)

lib/net/imap.rb (initialize): raise Net::IMAP::Error when the

connection is closed without a greeting response.

[ruby-core:40938] [Bug #5616]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35055 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6853b44a - 03/16/2012 05:12 AM - shugo (Shugo Maeda)

lib/net/imap.rb (initialize): raise Net::IMAP::Error when the

connection is closed without a greeting response.

[ruby-core:40938] [Bug #5616]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35055 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/11/2012 04:45 PM - ko1 (Koichi Sasada)

- Status changed from Open to Assigned

- Assignee set to shugo (Shugo Maeda)

#2 - 03/16/2012 02:12 PM - shugo (Shugo Maeda)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r35055.
Edsard, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/net/imap.rb (initialize): raise Net::IMAP::Error when the

connection is closed without a greeting response.

[ruby-core:40938] [Bug #5616]
